<?php

declare(strict_types=1);

namespace Gls\GlsPoland\MessageHandler\Pickup;

use Gls\GlsPoland\Message\PrintPickupReceiptCommand;
use Gls\GlsPoland\Download\StreamableFileInterface;
use Gls\GlsPoland\PrestaShop\MessageHandler\CommandHandlerInterface;

interface PrintPickupReceiptHandlerInterface extends CommandHandlerInterface
{
    public function handle(PrintPickupReceiptCommand $command): StreamableFileInterface;
}
